"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Console = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const zustand_1 = require("zustand");
const store_1 = require("../store.cjs");
/** Component for displaying console logs. */
function Console({ className }) {
    const store = (0, store_1.useBoothStore)();
    const messages = (0, zustand_1.useStore)(store, (state) => state.messages);
    return ((0, jsx_runtime_1.jsxs)("section", { className: (0, classnames_1.default)("lqv-console", className), children: [(0, jsx_runtime_1.jsx)("header", { children: "Console" }), (0, jsx_runtime_1.jsx)("output", { children: messages })] }));
}
exports.Console = Console;
