import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import classNames from "classnames";
import { useStore } from "zustand";
import { useBoothStore } from "../store.mjs";
/** Component for displaying console logs. */
export function Console({ className }) {
    const store = useBoothStore();
    const messages = useStore(store, (state) => state.messages);
    return (_jsxs("section", { className: classNames("lqv-console", className), children: [_jsx("header", { children: "Console" }), _jsx("output", { children: messages })] }));
}
