/// <reference types="react" />
import type { CodeRecorder } from "@lqv/codemirror/recording";
export * from "./components/buttons";
export { Console } from "./components/Console";
export { Editor } from "./components/Editor";
export { EditorGroup } from "./components/EditorGroup";
export { EditorPanel } from "./components/EditorPanel";
export { FileTabs } from "./components/FileTabs";
export { Record } from "./components/Record";
export { Replay, ReplayMultiple } from "./components/Replay";
export { Resize } from "./components/Resize";
export * from "./extensions";
export { useBoothStore, type State, type Store } from "./store";
/**
 * Container for code editing/recording/replaying.
 */
export declare const CodeBooth: React.FC<React.HTMLAttributes<HTMLDivElement> & {
    /** CodeMirror recorder. */
    recorder?: CodeRecorder;
}>;
