/// <reference types="react" />
/**
 * Tabpanel containing a single editor.
 */
export declare function EditorPanel({ className, filename, group, ...props }: {
    className?: string;
    children?: React.ReactNode;
    /** Filename for the panel. */
    filename: string;
    /**
     * Group name for the panel.
     * @default "default"
     */
    group?: string;
}): JSX.Element;
